| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.EXT.FogCoord

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the EXT_fog_coord extension, see http://www.opengl.org/registry/specs/EXT/fog_coord.txt.
Synopsis

glFogCoordf :: GLfloat -> IO ()
glFogCoordd :: GLdouble -> IO ()
glFogCoordfv :: Ptr GLfloat -> IO ()
glFogCoorddv :: Ptr GLdouble -> IO ()
glFogCoordPointer :: GLenum -> GLsizei -> Ptr a -> IO ()
gl_FOG_COORDINATE_SOURCE :: GLenum
gl_FOG_COORDINATE :: GLenum
gl_FRAGMENT_DEPTH :: GLenum
gl_CURRENT_FOG_COORDINATE :: GLenum
gl_FOG_COORDINATE_ARRAY_TYPE :: GLenum
gl_FOG_COORDINATE_ARRAY_STRIDE :: GLenum
gl_FOG_COORDINATE_ARRAY_POINTER :: GLenum
gl_FOG_COORDINATE_ARRAY :: GLenum

Functions

glFogCoordf :: GLfloat -> IO () | Source

glFogCoordd :: GLdouble -> IO () | Source

glFogCoordfv :: Ptr GLfloat -> IO () | Source

glFogCoorddv :: Ptr GLdouble -> IO () | Source

glFogCoordPointer :: GLenum -> GLsizei -> Ptr a -> IO () | Source

Tokens

gl_FOG_COORDINATE_SOURCE :: GLenum | Source

gl_FOG_COORDINATE :: GLenum | Source

gl_FRAGMENT_DEPTH :: GLenum | Source

gl_CURRENT_FOG_COORDINATE :: GLenum | Source

gl_FOG_COORDINATE_ARRAY_TYPE :: GLenum | Source

gl_FOG_COORDINATE_ARRAY_STRIDE :: GLenum | Source

gl_FOG_COORDINATE_ARRAY_POINTER :: GLenum | Source

gl_FOG_COORDINATE_ARRAY :: GLenum | Source

Produced by Haddock version 2.4.2